//
//  SIWorkManager.h
//  Kompressor2
//
//  Created by Daniel Vollmer on 18.12.06.
//  Copyright 2006 [maven] heavy industries. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SIWorkUnit.h"

@interface SIWorkManager : NSObject {
	NSMutableArray *_workQueue;
	NSConditionLock *_workLock;
}
- (id)initWithThreadCount:(int)maxThreads;
- (id)init; /* numCores */
- (void)addWorkUnit:(SIWorkUnit *)workUnit isHighPriority:(BOOL)important;
- (int)removePendingWorkFor:(id)object;
@end
